Name:           perl-Astro-FITS-CFITSIO
Version:        1.17
Release:    1%{?dist}
Summary:        Perl extension for using the cfitsio library
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Astro-FITS-CFITSIO
Source0:        https://cpan.metacpan.org/authors/id/P/PR/PRATZLAFF/Astro-FITS-CFITSIO-%{version}.tar.gz
BuildRequires: make
BuildRequires:  gcc
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(Alien::Base::Wrapper)
BuildRequires:  perl(Alien::CFITSIO)
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  cfitsio-devel

%description
Perl interface to William Pence's cfitsio subroutine library. For more
information on cfitsio, see http://heasarc.gsfc.nasa.gov/fitsio.

%prep
%setup -q -n Astro-FITS-CFITSIO-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS -I%{_includedir}/cfitsio"
%make_build

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check

%files
%license README
%doc ChangeLog NOTES README TODO examples
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Astro*
%{_mandir}/man3/*

%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.17-1
- initial build
